org.apache.ivy.core.settings

## Interface IvyVariableContainer

All Superinterfaces:
  java.lang.Cloneable

All Known Implementing Classes:
  IvyVariableContainerImpl

    public interface IvyVariableContainer
    extends java.lang.Cloneable

Store and provide access to the ivy variables.

### Method Summary

Methods
`java.lang.Object` `clone()`
`java.lang.String` `getVariable(java.lang.String name)`
`void` `setEnvironmentPrefix(java.lang.String prefix)` Specifies the prefix used to indicate a variable is an environment variable.
`void` `setVariable(java.lang.String varName, java.lang.String value, boolean overwrite)`

### Method Detail

#### setVariable

    void setVariable(java.lang.String varName,
                   java.lang.String value,
                   boolean overwrite)

#### getVariable

    java.lang.String getVariable(java.lang.String name)

#### setEnvironmentPrefix

    void setEnvironmentPrefix(java.lang.String prefix)

Specifies the prefix used to indicate a variable is an environment variable. If the prefix doesn't end with a '.', it will be added automatically.

Parameters:
  `prefix` - the prefix to use for the environment variables

#### clone

    java.lang.Object clone()